Community Packages

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#75412 - [firewalld] Conflicting file with Kodi package

Attached to Project: Community Packages
Opened by Darrell (denns) - Sunday, 24 July 2022, 19:40 GMT
Last edited by Toolybird (Toolybird) - Sunday, 24 July 2022, 21:47 GMT
Task Type Bug Report
Category Packages
Status Assigned
Assigned To Maxime Gauduin (Alucryd)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 8
Private No

Details

Conflicting file with Kodi package. /usr/lib/firewalld/services/kodi-eventserver.xml is provided by both firewalld-1.1.1-1 and kodi-19.4-5.
This task depends upon

Comment by Toolybird (Toolybird) - Sunday, 24 July 2022, 21:47 GMT Comment by Alexandre Demers (oxalin) - Friday, 29 July 2022, 02:56 GMT
Conflicting files were reverted 2 days ago with pull 1002: https://github.com/firewalld/firewalld/pull/1002

Package 1.2.0 needs to cherrypick the following commit: https://github.com/firewalld/firewalld/commit/2128820fcbe16bca154871aeeaa6727d91409d58
Comment by Toolybird (Toolybird) - Tuesday, 02 August 2022, 08:30 GMT
Dupe  FS#75488 
Comment by Alexandre Demers (oxalin) - Tuesday, 20 September 2022, 13:52 GMT
Can we have an update on an ETA for an updated and fixed package? The bug and its fix are known and circumscribed, this is a simple fix with no possible regression.

Meanwhile, users that have both Kodi and firewalld installed must either prevent the firewalld update, force the installation (which will cause other issues when the problematic file will be removed) or compile the package by themselves to prevent kodi-eventserver.xml from being installed.

Thank you.

Loading...